Public Member Functions | Public Attributes | List of all members
libebook::FB2TextFormat Struct Reference

`#include <FB2Style.h>`

## Public Member Functions
| FB2TextFormat ()

## Public Attributes
uint8_t | a
uint8_t | code
uint8_t | emphasis
uint8_t | strikethrough
uint8_t | strong
uint8_t | sub
uint8_t | sup
std::string | lang

## Constructor & Destructor Documentation

## § FB2TextFormat()

libebook::FB2TextFormat::FB2TextFormat | ( |  | ) |

## Member Data Documentation

## § a

uint8_t libebook::FB2TextFormat::a

## § code

uint8_t libebook::FB2TextFormat::code

Referenced by libebook::FB2CodeContext::startOfElement().

## § emphasis

uint8_t libebook::FB2TextFormat::emphasis

Referenced by libebook::makePropertyList(), and libebook::FB2EmphasisContext::startOfElement().

## § lang

std::string libebook::FB2TextFormat::lang

Referenced by libebook::FB2StyleContextBase::attribute(), and libebook::FB2ContentCollector::openSpan().

## § strikethrough

uint8_t libebook::FB2TextFormat::strikethrough

Referenced by libebook::makePropertyList(), and libebook::FB2StrikethroughContext::startOfElement().

## § strong

uint8_t libebook::FB2TextFormat::strong

Referenced by libebook::makePropertyList(), and libebook::FB2StrongContext::startOfElement().

## § sub

uint8_t libebook::FB2TextFormat::sub

Referenced by libebook::FB2SubContext::startOfElement().

## § sup

uint8_t libebook::FB2TextFormat::sup

Referenced by libebook::FB2SupContext::startOfElement().

The documentation for this struct was generated from the following files:

- FB2Style.h
- FB2Style.cpp